org.apache.felix.bundlerepository.impl

## Class FelixCapabilityAdapter

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.FelixCapabilityAdapter

All Implemented Interfaces:
  org.osgi.resource.Capability

    public class FelixCapabilityAdapter
    extends java.lang.Object
    implements org.osgi.resource.Capability

### Constructor Summary

Constructors
Constructor and Description
`FelixCapabilityAdapter(Capability capability, org.osgi.resource.Resource resource)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.util.Map<java.lang.String,java.lang.Object>` `getAttributes()`
`java.util.Map<java.lang.String,java.lang.String>` `getDirectives()`
`java.lang.String` `getNamespace()`
`org.osgi.resource.Resource` `getResource()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FelixCapabilityAdapter

    public FelixCapabilityAdapter(Capability capability,
                          org.osgi.resource.Resource resource)

### Method Detail

#### getAttributes

    public java.util.Map<java.lang.String,java.lang.Object> getAttributes()

Specified by:
  `getAttributes` in interface `org.osgi.resource.Capability`

#### getDirectives

    public java.util.Map<java.lang.String,java.lang.String> getDirectives()

Specified by:
  `getDirectives` in interface `org.osgi.resource.Capability`

#### getNamespace

    public java.lang.String getNamespace()

Specified by:
  `getNamespace` in interface `org.osgi.resource.Capability`

#### getResource

    public org.osgi.resource.Resource getResource()

Specified by:
  `getResource` in interface `org.osgi.resource.Capability`

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `org.osgi.resource.Capability`
Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `org.osgi.resource.Capability`
Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`